Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reports
    Reports
      Get all Report Page LayoutsgetPost Report Page LayoutpostGet a Report Page LayoutgetPut a Report Page LayoutputDelete a Report Page LayoutdeletePatch a Report Page LayoutpatchGet all Report TemplatesgetPost Report TemplatepostGet a Report TemplategetPut a Report TemplateputDelete a Report TemplatedeletePatch a Report TemplatepatchGet all ReportsgetPost ReportpostGet a ReportgetPut a ReportputDelete a ReportdeletePatch a Reportpatch
Publisher Documents
Reporting
Export & Automations
AI Lake
AI Assistant
Agents
Other
Schemas
powered by Zudoku
OpenAPI definition

Reports

Endpoint:/

Get all Report Page Layouts

GET
/api/v1/entities/workspaces/{workspaceId}/reportPageLayouts

Get all Report Page Layouts › path Parameters

  • workspaceIdstring · required

Get all Report Page Layouts › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Report Page Layouts › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Report Page Layouts › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/reportPageLayouts

Post Report Page Layout

POST
/api/v1/entities/workspaces/{workspaceId}/reportPageLayouts

Post Report Page Layout › path Parameters

  • workspaceIdstring · required

Post Report Page Layout › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Report Page Layout › Request Body

  • dataobject · required

    JSON:API representation of reportPageLayout entity.

Post Report Page Layout › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportPageLayout entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/reportPageLayouts

Get a Report Page Layout

GET
/api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Get a Report Page Layout › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Report Page Layout › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Report Page Layout › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Report Page Layout › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportPageLayout entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Put a Report Page Layout

PUT
/api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Put a Report Page Layout › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Report Page Layout › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Report Page Layout › Request Body

  • dataobject · required

    JSON:API representation of reportPageLayout entity.

Put a Report Page Layout › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportPageLayout entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PUT /api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Delete a Report Page Layout

DELETE
/api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Delete a Report Page Layout › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Report Page Layout › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Patch a Report Page Layout

PATCH
/api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Patch a Report Page Layout › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Report Page Layout › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Report Page Layout › Request Body

  • dataobject · required

    JSON:API representation of patching reportPageLayout entity.

Patch a Report Page Layout › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportPageLayout entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PATCH /api/v1/entities/workspaces/{workspaceId}/reportPageLayouts/{objectId}

Get all Report Templates

GET
/api/v1/entities/workspaces/{workspaceId}/reportTemplates

Get all Report Templates › path Parameters

  • workspaceIdstring · required

Get all Report Templates › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Report Templates › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Report Templates › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/reportTemplates

Post Report Template

POST
/api/v1/entities/workspaces/{workspaceId}/reportTemplates

Post Report Template › path Parameters

  • workspaceIdstring · required

Post Report Template › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Report Template › Request Body

  • dataobject · required

    JSON:API representation of reportTemplate entity.

Post Report Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/reportTemplates

Get a Report Template

GET
/api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Get a Report Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Report Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Report Template › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Report Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Put a Report Template

PUT
/api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Put a Report Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Report Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Report Template › Request Body

  • dataobject · required

    JSON:API representation of reportTemplate entity.

Put a Report Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PUT /api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Delete a Report Template

DELETE
/api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Delete a Report Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Report Template › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Patch a Report Template

PATCH
/api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Patch a Report Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Report Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Report Template › Request Body

  • dataobject · required

    JSON:API representation of patching reportTemplate entity.

Patch a Report Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of reportTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PATCH /api/v1/entities/workspaces/{workspaceId}/reportTemplates/{objectId}

Get all Reports

GET
/api/v1/entities/workspaces/{workspaceId}/reports

Get all Reports › path Parameters

  • workspaceIdstring · required

Get all Reports › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Reports › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Reports › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/reports

Post Report

POST
/api/v1/entities/workspaces/{workspaceId}/reports

Post Report › path Parameters

  • workspaceIdstring · required

Post Report › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Report › Request Body

  • dataobject · required

    JSON:API representation of report entity.

Post Report › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of report entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/reports

Get a Report

GET
/api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Get a Report › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Report › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Report › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Report › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of report entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Put a Report

PUT
/api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Put a Report › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Report › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Report › Request Body

  • dataobject · required

    JSON:API representation of report entity.

Put a Report › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of report entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PUT /api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Delete a Report

DELETE
/api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Delete a Report › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Report › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Patch a Report

PATCH
/api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Patch a Report › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Report › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Report › Request Body

  • dataobject · required

    JSON:API representation of patching report entity.

Patch a Report › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of report entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PATCH /api/v1/entities/workspaces/{workspaceId}/reports/{objectId}

Attribute HierarchiesPublisher Documents